// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_web/pricing_web.proto

package order_web

import (
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type UploadPricingResponse_UploadStatus int32

const (
	UploadPricingResponse_Unknown UploadPricingResponse_UploadStatus = 0
	UploadPricingResponse_Ok      UploadPricingResponse_UploadStatus = 1
	UploadPricingResponse_Failed  UploadPricingResponse_UploadStatus = 2
)

// Enum value maps for UploadPricingResponse_UploadStatus.
var (
	UploadPricingResponse_UploadStatus_name = map[int32]string{
		0: "Unknown",
		1: "Ok",
		2: "Failed",
	}
	UploadPricingResponse_UploadStatus_value = map[string]int32{
		"Unknown": 0,
		"Ok":      1,
		"Failed":  2,
	}
)

func (x UploadPricingResponse_UploadStatus) Enum() *UploadPricingResponse_UploadStatus {
	p := new(UploadPricingResponse_UploadStatus)
	*p = x
	return p
}

func (x UploadPricingResponse_UploadStatus) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (UploadPricingResponse_UploadStatus) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_web_pricing_web_proto_enumTypes[0].Descriptor()
}

func (UploadPricingResponse_UploadStatus) Type() protoreflect.EnumType {
	return &file_v1_order_web_pricing_web_proto_enumTypes[0]
}

func (x UploadPricingResponse_UploadStatus) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use UploadPricingResponse_UploadStatus.Descriptor instead.
func (UploadPricingResponse_UploadStatus) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{9, 0}
}

type SavePricingRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *order.Pricing `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *SavePricingRequest) Reset() {
	*x = SavePricingRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SavePricingRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SavePricingRequest) ProtoMessage() {}

func (x *SavePricingRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SavePricingRequest.ProtoReflect.Descriptor instead.
func (*SavePricingRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{0}
}

func (x *SavePricingRequest) GetItem() *order.Pricing {
	if x != nil {
		return x.Item
	}
	return nil
}

type SavePricingResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SavePricingResponse) Reset() {
	*x = SavePricingResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SavePricingResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SavePricingResponse) ProtoMessage() {}

func (x *SavePricingResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SavePricingResponse.ProtoReflect.Descriptor instead.
func (*SavePricingResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{1}
}

func (x *SavePricingResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type DeletePricingRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *DeletePricingRequest) Reset() {
	*x = DeletePricingRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePricingRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePricingRequest) ProtoMessage() {}

func (x *DeletePricingRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePricingRequest.ProtoReflect.Descriptor instead.
func (*DeletePricingRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{2}
}

func (x *DeletePricingRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type DeletePricingResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeletePricingResponse) Reset() {
	*x = DeletePricingResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePricingResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePricingResponse) ProtoMessage() {}

func (x *DeletePricingResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePricingResponse.ProtoReflect.Descriptor instead.
func (*DeletePricingResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{3}
}

//-----------------------
// UpdatePriceListRequest
//-----------------------
// Update status only
type UpdatePriceListRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Process order.ProductProcess `protobuf:"varint,2,opt,name=process,proto3,enum=fcp.order.v1.order.ProductProcess" json:"process,omitempty"`
	Type    order.ProductType    `protobuf:"varint,3,opt,name=type,proto3,enum=fcp.order.v1.order.ProductType" json:"type,omitempty"`
	Status  order.Pricing_Status `protobuf:"varint,4,opt,name=status,proto3,enum=fcp.order.v1.order.Pricing_Status" json:"status,omitempty"`
}

func (x *UpdatePriceListRequest) Reset() {
	*x = UpdatePriceListRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdatePriceListRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdatePriceListRequest) ProtoMessage() {}

func (x *UpdatePriceListRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdatePriceListRequest.ProtoReflect.Descriptor instead.
func (*UpdatePriceListRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{4}
}

func (x *UpdatePriceListRequest) GetProcess() order.ProductProcess {
	if x != nil {
		return x.Process
	}
	return order.ProductProcess_UNSPECIFIED
}

func (x *UpdatePriceListRequest) GetType() order.ProductType {
	if x != nil {
		return x.Type
	}
	return order.ProductType_ProductType_UNSPECIFIED
}

func (x *UpdatePriceListRequest) GetStatus() order.Pricing_Status {
	if x != nil {
		return x.Status
	}
	return order.Pricing_ACTIVE
}

type UpdatePriceListResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UpdatePriceListResponse) Reset() {
	*x = UpdatePriceListResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdatePriceListResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdatePriceListResponse) ProtoMessage() {}

func (x *UpdatePriceListResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdatePriceListResponse.ProtoReflect.Descriptor instead.
func (*UpdatePriceListResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{5}
}

//-----------------------
// DeletePriceListRequest
//-----------------------
type DeletePriceListRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Process order.ProductProcess `protobuf:"varint,1,opt,name=process,proto3,enum=fcp.order.v1.order.ProductProcess" json:"process,omitempty"`
	Type    order.ProductType    `protobuf:"varint,2,opt,name=type,proto3,enum=fcp.order.v1.order.ProductType" json:"type,omitempty"`
}

func (x *DeletePriceListRequest) Reset() {
	*x = DeletePriceListRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePriceListRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePriceListRequest) ProtoMessage() {}

func (x *DeletePriceListRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePriceListRequest.ProtoReflect.Descriptor instead.
func (*DeletePriceListRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{6}
}

func (x *DeletePriceListRequest) GetProcess() order.ProductProcess {
	if x != nil {
		return x.Process
	}
	return order.ProductProcess_UNSPECIFIED
}

func (x *DeletePriceListRequest) GetType() order.ProductType {
	if x != nil {
		return x.Type
	}
	return order.ProductType_ProductType_UNSPECIFIED
}

type DeletePriceListResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeletePriceListResponse) Reset() {
	*x = DeletePriceListResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePriceListResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePriceListResponse) ProtoMessage() {}

func (x *DeletePriceListResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePriceListResponse.ProtoReflect.Descriptor instead.
func (*DeletePriceListResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{7}
}

//-----------------------
// UploadPricing
//-----------------------
type UploadPricingRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Content []byte `protobuf:"bytes,1,opt,name=content,proto3" json:"content,omitempty"`
}

func (x *UploadPricingRequest) Reset() {
	*x = UploadPricingRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UploadPricingRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadPricingRequest) ProtoMessage() {}

func (x *UploadPricingRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadPricingRequest.ProtoReflect.Descriptor instead.
func (*UploadPricingRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{8}
}

func (x *UploadPricingRequest) GetContent() []byte {
	if x != nil {
		return x.Content
	}
	return nil
}

type UploadPricingResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status  UploadPricingResponse_UploadStatus `protobuf:"varint,1,opt,name=status,proto3,enum=fcp.order.v1.order_web.UploadPricingResponse_UploadStatus" json:"status,omitempty"`
	Message string                             `protobuf:"bytes,2,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *UploadPricingResponse) Reset() {
	*x = UploadPricingResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_web_pricing_web_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UploadPricingResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadPricingResponse) ProtoMessage() {}

func (x *UploadPricingResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_web_pricing_web_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadPricingResponse.ProtoReflect.Descriptor instead.
func (*UploadPricingResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_web_pricing_web_proto_rawDescGZIP(), []int{9}
}

func (x *UploadPricingResponse) GetStatus() UploadPricingResponse_UploadStatus {
	if x != nil {
		return x.Status
	}
	return UploadPricingResponse_Unknown
}

func (x *UploadPricingResponse) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

var File_v1_order_web_pricing_web_proto protoreflect.FileDescriptor

var file_v1_order_web_pricing_web_proto_rawDesc = []byte{
	0x0a, 0x1e, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2f, 0x70,
	0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x16, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x1a, 0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x76,
	0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x70, 0x72,
	0x69, 0x63, 0x69, 0x6e, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x76, 0x31, 0x2f,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0x45, 0x0a, 0x12, 0x53, 0x61, 0x76, 0x65, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e,
	0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2f, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x69, 0x63,
	0x69, 0x6e, 0x67, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x25, 0x0a, 0x13, 0x53, 0x61, 0x76,
	0x65, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64,
	0x22, 0x26, 0x0a, 0x14, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e,
	0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x17, 0x0a, 0x15, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0xcd, 0x01, 0x0a, 0x16, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63,
	0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3c, 0x0a, 0x07,
	0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x22, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73,
	0x73, 0x52, 0x07, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x33, 0x0a, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12,
	0x3a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32,
	0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x2e, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x4a, 0x04, 0x08, 0x01, 0x10,
	0x02, 0x22, 0x19, 0x0a, 0x17, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65,
	0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x8b, 0x01, 0x0a,
	0x16, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4c, 0x69, 0x73, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3c, 0x0a, 0x07, 0x70, 0x72, 0x6f, 0x63, 0x65,
	0x73, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x07, 0x70, 0x72,
	0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x33, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x22, 0x19, 0x0a, 0x17, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x30, 0x0a, 0x14, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50,
	0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x18, 0x0a,
	0x07, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x07,
	0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x22, 0xb6, 0x01, 0x0a, 0x15, 0x55, 0x70, 0x6c, 0x6f,
	0x61, 0x64, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x52, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x3a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61,
	0x64, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22,
	0x2f, 0x0a, 0x0c, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12,
	0x0b, 0x0a, 0x07, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x10, 0x00, 0x12, 0x06, 0x0a, 0x02,
	0x4f, 0x6b, 0x10, 0x01, 0x12, 0x0a, 0x0a, 0x06, 0x46, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x10, 0x02,
	0x32, 0xc3, 0x14, 0x0a, 0x0e, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x12, 0x65, 0x0a, 0x12, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69,
	0x6e, 0x67, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73,
	0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69,
	0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6d, 0x0a, 0x16, 0x4c, 0x69,
	0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
	0x54, 0x79, 0x70, 0x65, 0x12, 0x31, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72,
	0x69, 0x63, 0x69, 0x6e, 0x67, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x67, 0x0a, 0x13, 0x4c, 0x69, 0x73,
	0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79,
	0x12, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e,
	0x67, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x61, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e,
	0x67, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x65, 0x0a, 0x12, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69,
	0x63, 0x69, 0x6e, 0x67, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x12, 0x2d, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x50, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6f, 0x0a, 0x17,
	0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x51, 0x75, 0x61, 0x6e, 0x74,
	0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x12, 0x32, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x51, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6f, 0x0a,
	0x17, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x50, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x32, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x71,
	0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x57, 0x61, 0x72,
	0x65, 0x68, 0x6f, 0x75, 0x73, 0x65, 0x12, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x57, 0x61, 0x72, 0x65, 0x68, 0x6f, 0x75, 0x73, 0x65,
	0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x79, 0x0a, 0x1c, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67,
	0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69,
	0x6e, 0x67, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6d, 0x0a, 0x10,
	0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x4e, 0x61, 0x6d, 0x65, 0x73,
	0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e,
	0x67, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x4e, 0x61,
	0x6d, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6e, 0x0a, 0x13, 0x4c,
	0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x53, 0x75, 0x62, 0x47, 0x72, 0x6f,
	0x75, 0x70, 0x12, 0x35, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63,
	0x69, 0x6e, 0x67, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x75, 0x62, 0x47, 0x72, 0x6f,
	0x75, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44,
	0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x67, 0x0a, 0x13, 0x4c,
	0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x53, 0x6f, 0x72, 0x74, 0x54, 0x79,
	0x70, 0x65, 0x12, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63,
	0x69, 0x6e, 0x67, 0x53, 0x6f, 0x72, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x69, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63,
	0x69, 0x6e, 0x67, 0x50, 0x6c, 0x61, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x2f, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x50, 0x6c, 0x61,
	0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x65, 0x0a, 0x12, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x53, 0x70,
	0x65, 0x63, 0x69, 0x65, 0x73, 0x12, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50,
	0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x71, 0x0a, 0x18, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72,
	0x69, 0x63, 0x69, 0x6e, 0x67, 0x4d, 0x61, 0x74, 0x75, 0x72, 0x69, 0x74, 0x79, 0x47, 0x72, 0x6f,
	0x75, 0x70, 0x12, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63,
	0x69, 0x6e, 0x67, 0x4d, 0x61, 0x74, 0x75, 0x72, 0x69, 0x74, 0x79, 0x47, 0x72, 0x6f, 0x75, 0x70,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x69, 0x0a, 0x14, 0x4c, 0x69, 0x73,
	0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x46, 0x72, 0x75, 0x69, 0x74, 0x46, 0x6f, 0x72,
	0x6d, 0x12, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69,
	0x6e, 0x67, 0x46, 0x72, 0x75, 0x69, 0x74, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x75, 0x0a, 0x1a, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63,
	0x69, 0x6e, 0x67, 0x50, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79,
	0x70, 0x65, 0x12, 0x35, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63,
	0x69, 0x6e, 0x67, 0x50, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79,
	0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44,
	0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5b, 0x0a, 0x0a, 0x47,
	0x65, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x12, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47,
	0x65, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5e, 0x0a, 0x0b, 0x4c, 0x69, 0x73, 0x74,
	0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x12, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x27, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x66, 0x0a, 0x0b, 0x53, 0x61, 0x76, 0x65,
	0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x12, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62,
	0x2e, 0x53, 0x61, 0x76, 0x65, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x53, 0x61, 0x76,
	0x65, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x6c, 0x0a, 0x0d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e,
	0x67, 0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50,
	0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x72,
	0x0a, 0x0f, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4c, 0x69, 0x73,
	0x74, 0x12, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x72, 0x0a, 0x0f, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63,
	0x65, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6e, 0x0a, 0x0d, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64,
	0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62,
	0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x55,
	0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x72, 0x69, 0x63, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x28, 0x01, 0x42, 0x53, 0x0a, 0x19, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f,
	0x77, 0x65, 0x62, 0x50, 0x01, 0x5a, 0x31, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69,
	0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_v1_order_web_pricing_web_proto_rawDescOnce sync.Once
	file_v1_order_web_pricing_web_proto_rawDescData = file_v1_order_web_pricing_web_proto_rawDesc
)

func file_v1_order_web_pricing_web_proto_rawDescGZIP() []byte {
	file_v1_order_web_pricing_web_proto_rawDescOnce.Do(func() {
		file_v1_order_web_pricing_web_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_web_pricing_web_proto_rawDescData)
	})
	return file_v1_order_web_pricing_web_proto_rawDescData
}

var file_v1_order_web_pricing_web_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_v1_order_web_pricing_web_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_v1_order_web_pricing_web_proto_goTypes = []interface{}{
	(UploadPricingResponse_UploadStatus)(0),           // 0: fcp.order.v1.order_web.UploadPricingResponse.UploadStatus
	(*SavePricingRequest)(nil),                        // 1: fcp.order.v1.order_web.SavePricingRequest
	(*SavePricingResponse)(nil),                       // 2: fcp.order.v1.order_web.SavePricingResponse
	(*DeletePricingRequest)(nil),                      // 3: fcp.order.v1.order_web.DeletePricingRequest
	(*DeletePricingResponse)(nil),                     // 4: fcp.order.v1.order_web.DeletePricingResponse
	(*UpdatePriceListRequest)(nil),                    // 5: fcp.order.v1.order_web.UpdatePriceListRequest
	(*UpdatePriceListResponse)(nil),                   // 6: fcp.order.v1.order_web.UpdatePriceListResponse
	(*DeletePriceListRequest)(nil),                    // 7: fcp.order.v1.order_web.DeletePriceListRequest
	(*DeletePriceListResponse)(nil),                   // 8: fcp.order.v1.order_web.DeletePriceListResponse
	(*UploadPricingRequest)(nil),                      // 9: fcp.order.v1.order_web.UploadPricingRequest
	(*UploadPricingResponse)(nil),                     // 10: fcp.order.v1.order_web.UploadPricingResponse
	(*order.Pricing)(nil),                             // 11: fcp.order.v1.order.Pricing
	(order.ProductProcess)(0),                         // 12: fcp.order.v1.order.ProductProcess
	(order.ProductType)(0),                            // 13: fcp.order.v1.order.ProductType
	(order.Pricing_Status)(0),                         // 14: fcp.order.v1.order.Pricing.Status
	(*order.ListPricingProcessRequest)(nil),           // 15: fcp.order.v1.order.ListPricingProcessRequest
	(*order.ListPricingProcessTypeRequest)(nil),       // 16: fcp.order.v1.order.ListPricingProcessTypeRequest
	(*order.ListPricingCategoryRequest)(nil),          // 17: fcp.order.v1.order.ListPricingCategoryRequest
	(*order.ListPricingBrandRequest)(nil),             // 18: fcp.order.v1.order.ListPricingBrandRequest
	(*order.ListPricingProductRequest)(nil),           // 19: fcp.order.v1.order.ListPricingProductRequest
	(*order.ListPricingQuantityTypeRequest)(nil),      // 20: fcp.order.v1.order.ListPricingQuantityTypeRequest
	(*order.ListPricingProductGroupRequest)(nil),      // 21: fcp.order.v1.order.ListPricingProductGroupRequest
	(*order.ListPricingWarehouseLocationRequest)(nil), // 22: fcp.order.v1.order.ListPricingWarehouseLocationRequest
	(*order.ListPricingDeliveryConditionRequest)(nil), // 23: fcp.order.v1.order.ListPricingDeliveryConditionRequest
	(*order.ListPricingNamesRequest)(nil),             // 24: fcp.order.v1.order.ListPricingNamesRequest
	(*order.ListPricingProductSubGroupRequest)(nil),   // 25: fcp.order.v1.order.ListPricingProductSubGroupRequest
	(*order.ListPricingSortTypeRequest)(nil),          // 26: fcp.order.v1.order.ListPricingSortTypeRequest
	(*order.ListPricingPlantTypeRequest)(nil),         // 27: fcp.order.v1.order.ListPricingPlantTypeRequest
	(*order.ListPricingSpeciesRequest)(nil),           // 28: fcp.order.v1.order.ListPricingSpeciesRequest
	(*order.ListPricingMaturityGroupRequest)(nil),     // 29: fcp.order.v1.order.ListPricingMaturityGroupRequest
	(*order.ListPricingFruitFormRequest)(nil),         // 30: fcp.order.v1.order.ListPricingFruitFormRequest
	(*order.ListPricingPollinationTypeRequest)(nil),   // 31: fcp.order.v1.order.ListPricingPollinationTypeRequest
	(*order.GetPricingRequest)(nil),                   // 32: fcp.order.v1.order.GetPricingRequest
	(*order.ListPricingRequest)(nil),                  // 33: fcp.order.v1.order.ListPricingRequest
	(*order.DictResponse)(nil),                        // 34: fcp.order.v1.order.DictResponse
	(*order.ListPricingNamesResponse)(nil),            // 35: fcp.order.v1.order.ListPricingNamesResponse
	(*order.GetPricingResponse)(nil),                  // 36: fcp.order.v1.order.GetPricingResponse
	(*order.ListPricingResponse)(nil),                 // 37: fcp.order.v1.order.ListPricingResponse
}
var file_v1_order_web_pricing_web_proto_depIdxs = []int32{
	11, // 0: fcp.order.v1.order_web.SavePricingRequest.item:type_name -> fcp.order.v1.order.Pricing
	12, // 1: fcp.order.v1.order_web.UpdatePriceListRequest.process:type_name -> fcp.order.v1.order.ProductProcess
	13, // 2: fcp.order.v1.order_web.UpdatePriceListRequest.type:type_name -> fcp.order.v1.order.ProductType
	14, // 3: fcp.order.v1.order_web.UpdatePriceListRequest.status:type_name -> fcp.order.v1.order.Pricing.Status
	12, // 4: fcp.order.v1.order_web.DeletePriceListRequest.process:type_name -> fcp.order.v1.order.ProductProcess
	13, // 5: fcp.order.v1.order_web.DeletePriceListRequest.type:type_name -> fcp.order.v1.order.ProductType
	0,  // 6: fcp.order.v1.order_web.UploadPricingResponse.status:type_name -> fcp.order.v1.order_web.UploadPricingResponse.UploadStatus
	15, // 7: fcp.order.v1.order_web.PricingService.ListPricingProcess:input_type -> fcp.order.v1.order.ListPricingProcessRequest
	16, // 8: fcp.order.v1.order_web.PricingService.ListPricingProcessType:input_type -> fcp.order.v1.order.ListPricingProcessTypeRequest
	17, // 9: fcp.order.v1.order_web.PricingService.ListPricingCategory:input_type -> fcp.order.v1.order.ListPricingCategoryRequest
	18, // 10: fcp.order.v1.order_web.PricingService.ListPricingBrand:input_type -> fcp.order.v1.order.ListPricingBrandRequest
	19, // 11: fcp.order.v1.order_web.PricingService.ListPricingProduct:input_type -> fcp.order.v1.order.ListPricingProductRequest
	20, // 12: fcp.order.v1.order_web.PricingService.ListPricingQuantityType:input_type -> fcp.order.v1.order.ListPricingQuantityTypeRequest
	21, // 13: fcp.order.v1.order_web.PricingService.ListPricingProductGroup:input_type -> fcp.order.v1.order.ListPricingProductGroupRequest
	22, // 14: fcp.order.v1.order_web.PricingService.ListPricingWarehouse:input_type -> fcp.order.v1.order.ListPricingWarehouseLocationRequest
	23, // 15: fcp.order.v1.order_web.PricingService.ListPricingDeliveryCondition:input_type -> fcp.order.v1.order.ListPricingDeliveryConditionRequest
	24, // 16: fcp.order.v1.order_web.PricingService.ListPricingNames:input_type -> fcp.order.v1.order.ListPricingNamesRequest
	25, // 17: fcp.order.v1.order_web.PricingService.ListPricingSubGroup:input_type -> fcp.order.v1.order.ListPricingProductSubGroupRequest
	26, // 18: fcp.order.v1.order_web.PricingService.ListPricingSortType:input_type -> fcp.order.v1.order.ListPricingSortTypeRequest
	27, // 19: fcp.order.v1.order_web.PricingService.ListPricingPlantType:input_type -> fcp.order.v1.order.ListPricingPlantTypeRequest
	28, // 20: fcp.order.v1.order_web.PricingService.ListPricingSpecies:input_type -> fcp.order.v1.order.ListPricingSpeciesRequest
	29, // 21: fcp.order.v1.order_web.PricingService.ListPricingMaturityGroup:input_type -> fcp.order.v1.order.ListPricingMaturityGroupRequest
	30, // 22: fcp.order.v1.order_web.PricingService.ListPricingFruitForm:input_type -> fcp.order.v1.order.ListPricingFruitFormRequest
	31, // 23: fcp.order.v1.order_web.PricingService.ListPricingPollinationType:input_type -> fcp.order.v1.order.ListPricingPollinationTypeRequest
	32, // 24: fcp.order.v1.order_web.PricingService.GetPricing:input_type -> fcp.order.v1.order.GetPricingRequest
	33, // 25: fcp.order.v1.order_web.PricingService.ListPricing:input_type -> fcp.order.v1.order.ListPricingRequest
	1,  // 26: fcp.order.v1.order_web.PricingService.SavePricing:input_type -> fcp.order.v1.order_web.SavePricingRequest
	3,  // 27: fcp.order.v1.order_web.PricingService.DeletePricing:input_type -> fcp.order.v1.order_web.DeletePricingRequest
	7,  // 28: fcp.order.v1.order_web.PricingService.DeletePriceList:input_type -> fcp.order.v1.order_web.DeletePriceListRequest
	5,  // 29: fcp.order.v1.order_web.PricingService.UpdatePriceList:input_type -> fcp.order.v1.order_web.UpdatePriceListRequest
	9,  // 30: fcp.order.v1.order_web.PricingService.UploadPricing:input_type -> fcp.order.v1.order_web.UploadPricingRequest
	34, // 31: fcp.order.v1.order_web.PricingService.ListPricingProcess:output_type -> fcp.order.v1.order.DictResponse
	34, // 32: fcp.order.v1.order_web.PricingService.ListPricingProcessType:output_type -> fcp.order.v1.order.DictResponse
	34, // 33: fcp.order.v1.order_web.PricingService.ListPricingCategory:output_type -> fcp.order.v1.order.DictResponse
	34, // 34: fcp.order.v1.order_web.PricingService.ListPricingBrand:output_type -> fcp.order.v1.order.DictResponse
	34, // 35: fcp.order.v1.order_web.PricingService.ListPricingProduct:output_type -> fcp.order.v1.order.DictResponse
	34, // 36: fcp.order.v1.order_web.PricingService.ListPricingQuantityType:output_type -> fcp.order.v1.order.DictResponse
	34, // 37: fcp.order.v1.order_web.PricingService.ListPricingProductGroup:output_type -> fcp.order.v1.order.DictResponse
	34, // 38: fcp.order.v1.order_web.PricingService.ListPricingWarehouse:output_type -> fcp.order.v1.order.DictResponse
	34, // 39: fcp.order.v1.order_web.PricingService.ListPricingDeliveryCondition:output_type -> fcp.order.v1.order.DictResponse
	35, // 40: fcp.order.v1.order_web.PricingService.ListPricingNames:output_type -> fcp.order.v1.order.ListPricingNamesResponse
	34, // 41: fcp.order.v1.order_web.PricingService.ListPricingSubGroup:output_type -> fcp.order.v1.order.DictResponse
	34, // 42: fcp.order.v1.order_web.PricingService.ListPricingSortType:output_type -> fcp.order.v1.order.DictResponse
	34, // 43: fcp.order.v1.order_web.PricingService.ListPricingPlantType:output_type -> fcp.order.v1.order.DictResponse
	34, // 44: fcp.order.v1.order_web.PricingService.ListPricingSpecies:output_type -> fcp.order.v1.order.DictResponse
	34, // 45: fcp.order.v1.order_web.PricingService.ListPricingMaturityGroup:output_type -> fcp.order.v1.order.DictResponse
	34, // 46: fcp.order.v1.order_web.PricingService.ListPricingFruitForm:output_type -> fcp.order.v1.order.DictResponse
	34, // 47: fcp.order.v1.order_web.PricingService.ListPricingPollinationType:output_type -> fcp.order.v1.order.DictResponse
	36, // 48: fcp.order.v1.order_web.PricingService.GetPricing:output_type -> fcp.order.v1.order.GetPricingResponse
	37, // 49: fcp.order.v1.order_web.PricingService.ListPricing:output_type -> fcp.order.v1.order.ListPricingResponse
	2,  // 50: fcp.order.v1.order_web.PricingService.SavePricing:output_type -> fcp.order.v1.order_web.SavePricingResponse
	4,  // 51: fcp.order.v1.order_web.PricingService.DeletePricing:output_type -> fcp.order.v1.order_web.DeletePricingResponse
	8,  // 52: fcp.order.v1.order_web.PricingService.DeletePriceList:output_type -> fcp.order.v1.order_web.DeletePriceListResponse
	6,  // 53: fcp.order.v1.order_web.PricingService.UpdatePriceList:output_type -> fcp.order.v1.order_web.UpdatePriceListResponse
	10, // 54: fcp.order.v1.order_web.PricingService.UploadPricing:output_type -> fcp.order.v1.order_web.UploadPricingResponse
	31, // [31:55] is the sub-list for method output_type
	7,  // [7:31] is the sub-list for method input_type
	7,  // [7:7] is the sub-list for extension type_name
	7,  // [7:7] is the sub-list for extension extendee
	0,  // [0:7] is the sub-list for field type_name
}

func init() { file_v1_order_web_pricing_web_proto_init() }
func file_v1_order_web_pricing_web_proto_init() {
	if File_v1_order_web_pricing_web_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_web_pricing_web_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SavePricingRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_pricing_web_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SavePricingResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_pricing_web_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePricingRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_pricing_web_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePricingResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_pricing_web_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdatePriceListRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_pricing_web_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdatePriceListResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_pricing_web_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePriceListRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_pricing_web_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePriceListResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_pricing_web_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UploadPricingRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_web_pricing_web_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UploadPricingResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_web_pricing_web_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_web_pricing_web_proto_goTypes,
		DependencyIndexes: file_v1_order_web_pricing_web_proto_depIdxs,
		EnumInfos:         file_v1_order_web_pricing_web_proto_enumTypes,
		MessageInfos:      file_v1_order_web_pricing_web_proto_msgTypes,
	}.Build()
	File_v1_order_web_pricing_web_proto = out.File
	file_v1_order_web_pricing_web_proto_rawDesc = nil
	file_v1_order_web_pricing_web_proto_goTypes = nil
	file_v1_order_web_pricing_web_proto_depIdxs = nil
}
